Chuyển đến nội dung chính
POST
https://api-gw.verolabs.co/api/authen
/
self-service
/
registration
Gửi dữ liệu đăng ký vào luồng registration
curl --request POST \
  --url https://api-gw.verolabs.co/api/authen/self-service/registration \
  --header 'Content-Type: application/json' \
  --data '
{
  "traits": {
    "email": "jsmith@example.com",
    "name": {
      "first": "<string>",
      "last": "<string>"
    },
    "documentNumber": "<string>",
    "phone": "<string>",
    "refer_code": "<string>",
    "address": "<string>"
  },
  "password": "<string>",
  "csrf_token": "<string>"
}
'
{
  "id": "<string>",
  "type": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "issued_at": "2023-11-07T05:31:56Z",
  "ui": {},
  "state": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.oms.verolabs.co/llms.txt

Use this file to discover all available pages before exploring further.

Tham số truy vấn

flow
string
bắt buộc

Ory flow id returned by the corresponding create flow endpoint.

Nội dung

application/json
method
enum<string>
bắt buộc
Tùy chọn có sẵn:
password
traits
object
bắt buộc
password
string<password>
bắt buộc

Mobile app generates a secure random password.

csrf_token
string

Phản hồi

Registration flow accepted.

id
string
type
string
expires_at
string<date-time>
issued_at
string<date-time>
ui
object
state
string